Videos
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1433,
"results": [
{
"id": "5b5a5d7ac3a36867100010ad",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "W9Kf1RUHLxE",
"name": "American Dad: Klaus Song [CLIP] | TBS",
"official": true,
"published_at": "2016-12-21T14:30:29.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5dc49251412a9a000ee0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "7hn-Cs_6QL4",
"name": "American Dad: Sexy Aunt Visit [CLIP] | TBS",
"official": true,
"published_at": "2014-11-18T00:00:03.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5d590e0a266986000e5c",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "x6QKyx7GP1A",
"name": "American Dad: Lame Uncle Stan [CLIP] | TBS",
"official": true,
"published_at": "2014-11-13T00:00:05.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5d6e9251412aad000db5",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "SmtFgAKXx28",
"name": "American Dad: Inn Under the Attic- Perfection | TBS",
"official": true,
"published_at": "2014-11-12T00:00:01.000Z",
"site": "YouTube",
"size": 480,
"type": "Clip"
},
{
"id": "5746051ec3a3682d5200026a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "apr31MFjg08",
"name": "Theatrical Trailer",
"official": true,
"published_at": "2014-10-05T14:54:26.000Z",
"site": "YouTube",
"size": 720,
"type": "Trailer"
},
{
"id": "5b5a5db49251412a94000dde",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yQCVkGwasDg",
"name": "American Dad: Gotta Beat Chuck White [CLIP] | TBS",
"official": true,
"published_at": "2014-08-25T16:00:02.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5e0cc3a36867100011ce",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "sJMN3CtVz-0",
"name": "American Dad opening scene",
"official": false,
"published_at": "2011-10-11T17:55:15.000Z",
"site": "YouTube",
"size": 360,
"type": "Opening Credits"
}
]
}Videos
This endpoint get videos of a TV show.
GET
/
3
/
tv
/
{series_id}
/
videos
Videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Query Parameters
filter the list results by language, supports more than one value by using a comma
Response
200 - application/json
Videos
Example:
1433
Show child attributes
Show child attributes
Example:
[
{
"id": "5b5a5d7ac3a36867100010ad",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "W9Kf1RUHLxE",
"name": "American Dad: Klaus Song [CLIP] | TBS",
"official": true,
"published_at": "2016-12-21T14:30:29.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5dc49251412a9a000ee0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "7hn-Cs_6QL4",
"name": "American Dad: Sexy Aunt Visit [CLIP] | TBS",
"official": true,
"published_at": "2014-11-18T00:00:03.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5d590e0a266986000e5c",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "x6QKyx7GP1A",
"name": "American Dad: Lame Uncle Stan [CLIP] | TBS",
"official": true,
"published_at": "2014-11-13T00:00:05.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5d6e9251412aad000db5",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "SmtFgAKXx28",
"name": "American Dad: Inn Under the Attic- Perfection | TBS",
"official": true,
"published_at": "2014-11-12T00:00:01.000Z",
"site": "YouTube",
"size": 480,
"type": "Clip"
},
{
"id": "5746051ec3a3682d5200026a",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "apr31MFjg08",
"name": "Theatrical Trailer",
"official": true,
"published_at": "2014-10-05T14:54:26.000Z",
"site": "YouTube",
"size": 720,
"type": "Trailer"
},
{
"id": "5b5a5db49251412a94000dde",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "yQCVkGwasDg",
"name": "American Dad: Gotta Beat Chuck White [CLIP] | TBS",
"official": true,
"published_at": "2014-08-25T16:00:02.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "5b5a5e0cc3a36867100011ce",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "sJMN3CtVz-0",
"name": "American Dad opening scene",
"official": false,
"published_at": "2011-10-11T17:55:15.000Z",
"site": "YouTube",
"size": 360,
"type": "Opening Credits"
}
]
⌘I